%define upstream_name    IO-Interface
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    IO::Interface - Perl extension for access to network card configuration information
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/L/LD/LDS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
IO::Interface adds methods to IO::Socket objects that allows them to
be used to retrieve and change information about the network
interfaces on your system.  In addition to the object-oriented access
methods, you can use a function-oriented style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README
%dir %{perl_vendorlib}/*/auto/IO/Interface
%{perl_vendorlib}/*/auto/IO/Interface/*
%{perl_vendorlib}/*/IO/*
%{_mandir}/*/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.60.0-5.mga4
+ Revision: 524336
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.60.0-4.mga4
+ Revision: 430761
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-3.mga3
+ Revision: 368525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.60.0-2.mga3
+ Revision: 250785
- rebuild for perl 5.16
- update to 1.06

* Sun Jun 12 2011 sander85 <sander85> 1.50.0-3.mga2
+ Revision: 104688
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.50.0-2.mga1
+ Revision: 30545
- mageia rebuild
- imported package perl-IO-Interface


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-2mdv2011.0
+ Revision: 555963
- rebuild for perl 5.12

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.0
+ Revision: 402548
- update to 0.56

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.05-2mdv2009.0
+ Revision: 268529
- rebuild early 2009.0 package (before pixel changes)

* Sat Jun 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2009.0
+ Revision: 216584
- update to new version 1.05

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.04-2mdv2008.1
+ Revision: 152120
- rebuild

* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2008.1
+ Revision: 138325
- update to new version 1.04
- update to new version 1.04

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.03-1mdv2008.0
+ Revision: 20200
- 1.03


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.98-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.98-1mdk
- initial Mandriva package

